/v0.1/membershipsList memberships of the current user.
OAuth scopes: Requires one of: user.profile, user.profile_readonly.
Query parameters
- offsetintegerminimum:
0default:0Offset of the first member to return.
Example:
0 - limitintegerminimum:
1maximum:25default:10Maximum number of members to return.
Example:
10 - kindstring
Filter memberships by resource kind.
Example:
"merchant" - statusstringOptions:
"accepted""pending""expired""disabled""unknown"Filter the returned memberships by the membership status.
- typestring
Filter memberships by resource kind.
Example:
"merchant" - sandboxboolean
Filter memberships by the sandbox status of the resource the membership is in.
- namestring
Filter memberships by the name of the resource the membership is in.
- idstring
Filter memberships by the ID of the resource the membership is in.
- idstring
Filter memberships by the parent of the resource the membership is in. Omit both
resource.parent.idandresource.parent.typeto skip parent filtering. When filtering by parent, both parameters must be present. To select resources without a parent, set each parameter to an empty value. Otherwise, both parameters must identify a parent. - typestring
Filter memberships by the parent of the resource the membership is in. Omit both
resource.parent.idandresource.parent.typeto skip parent filtering. When filtering by parent, both parameters must be present. To select resources without a parent, set each parameter to an empty value. Otherwise, both parameters must identify a parent.Example:
"merchant" - rolesarray<string>
Filter the returned memberships by role.
Example:
["role_employee","role_accountant"]
Responses
200application/json
Returns a list of Membership objects.
Show 12 properties
ID of the membership.
Example:
"mem_WZsm7QTPhVrompscmPhoGTXXcrd58fr9MOhP"ID of the resource the membership is in.
Example:
"M2DDT39A"The type of the membership resource. Possible values are:
merchant- merchant account(s)organization- organization(s)
Example:
"merchant"User's roles.
Example:
["role_admin"]User's permissions.
Example:
["members_read","members_write","create_moto_payments","full_transaction_history_view","refund_transactions","create_referral","developer_settings_edit","developer_settings_access"]- format:
date-timeThe timestamp of when the membership was created.
Example:
"2023-01-20T15:16:17Z" - format:
date-timeThe timestamp of when the membership was last updated.
Example:
"2023-01-20T15:16:17Z" - Options:
"accepted""pending""expired""disabled""unknown"The status of the membership.
Information about the resource the membership is in.
Show 7 properties
ID of the resource the membership is in.
Example:
"M2DDT39A"The type of the membership resource. Possible values are:
merchant- merchant account(s)organization- organization(s)
Example:
"merchant"Display name of the resource.
Example:
"Acme Corp"- format:
date-timeThe timestamp of when the membership resource was created.
Example:
"2023-01-20T15:16:17Z" - format:
date-timeThe timestamp of when the membership resource was last updated.
Example:
"2023-01-20T15:16:17Z" - logostringformat:
urimaxLength:256Logo fo the resource.
Example:
"https://images.sumup.com/img_2x4y6z8a0b1c2d3e4f5g6h7j8k.png" - attributesobject
Object attributes that are modifiable only by SumUp applications.
Example:
{}
- inviteobject
Pending invitation for membership.
Show 2 properties
- format:
emailEmail address of the invited user.
Example:
"boaty.mcboatface@sumup.com" - format:
date-timeExample:
"2023-01-20T15:16:17Z"
- metadataobject
Set of user-defined key-value pairs attached to the object. Partial updates are not supported. When updating, always submit whole metadata. Maximum of 64 parameters are allowed in the object.
Example:
{} - attributesobject
Object attributes that are modifiable only by SumUp applications.
Example:
{}
Example:
3
400application/problem+json
Invalid query parameter combination.
- format:
uriA URI reference that identifies the problem type.
Example:
"https://developer.sumup.com/problem/not-found" - titlestring
A short, human-readable summary of the problem type.
Example:
"Requested resource couldn't be found." - statusinteger
The HTTP status code generated by the origin server for this occurrence of the problem.
Example:
404 - detailstring
A human-readable explanation specific to this occurrence of the problem.
Example:
"The requested resource doesn't exist or does not belong to you." - instancestringformat:
uriA URI reference that identifies the specific occurrence of the problem.
401application/problem+json
Authentication failed or missing required scope.
- format:
uriA URI reference that identifies the problem type.
Example:
"https://developer.sumup.com/problem/not-found" - titlestring
A short, human-readable summary of the problem type.
Example:
"Requested resource couldn't be found." - statusinteger
The HTTP status code generated by the origin server for this occurrence of the problem.
Example:
404 - detailstring
A human-readable explanation specific to this occurrence of the problem.
Example:
"The requested resource doesn't exist or does not belong to you." - instancestringformat:
uriA URI reference that identifies the specific occurrence of the problem.